package com.zt.plat.module.erp.service.erp;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.erp.api.dto.ErpProductiveVersionReqDTO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpProductiveVersionPageReqVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpProductiveVersionRespVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpProductiveVersionSaveReqVO;
import com.zt.plat.module.erp.dal.dataobject.erp.ErpProductiveVersionDO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * ERP生产版本 Service 接口
 *
 * @author 后台管理
 */
public interface ErpProductiveVersionService {

    /**
     * 创建ERP生产版本
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    ErpProductiveVersionRespVO createErpProductiveVersion(@Valid ErpProductiveVersionSaveReqVO createReqVO);

    /**
     * 更新ERP生产版本
     *
     * @param updateReqVO 更新信息
     */
    void updateErpProductiveVersion(@Valid ErpProductiveVersionSaveReqVO updateReqVO);

    /**
     * 删除ERP生产版本
     *
     * @param id 编号
     */
    void deleteErpProductiveVersion(Long id);

    /**
    * 批量删除ERP生产版本
    *
    * @param ids 编号
    */
    void deleteErpProductiveVersionListByIds(List<Long> ids);

    /**
     * 获得ERP生产版本
     *
     * @param id 编号
     * @return ERP生产版本
     */
    ErpProductiveVersionDO getErpProductiveVersion(Long id);

    /**
     * 获得ERP生产版本分页
     *
     * @param pageReqVO 分页查询
     * @return ERP生产版本分页
     */
    PageResult<ErpProductiveVersionDO> getErpProductiveVersionPage(ErpProductiveVersionPageReqVO pageReqVO);

    void callErpRfcInterface();

    void enableErpProductiveVersion(ErpProductiveVersionSaveReqVO updateReqVO);

    String getErpProductiveVersionByFM(ErpProductiveVersionReqDTO reqDTO);
}